org.apache.ignite.internal.visor.cache

## Class VisorCacheV4

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCache
  - - org.apache.ignite.internal.visor.cache.VisorCacheV2
    - - org.apache.ignite.internal.visor.cache.VisorCacheV4

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCacheV4
    extends VisorCacheV2

Data transfer object for `IgniteCache`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheV4()`

### Method Summary

Methods
`VisorCache` `from(IgniteEx ignite, String cacheName, int sample)`
`VisorCache` `history()`
`protected VisorCache` `initHistory(VisorCache c)` Fill values that should be stored in history;
`int` `offHeapBackupEntriesCount()`
`int` `offHeapPrimaryEntriesCount()`
`int` `swapBackupEntriesCount()`
`int` `swapPrimaryEntriesCount()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.cache.VisorCacheV2

`near`

### Methods inherited from class org.apache.ignite.internal.visor.cache.VisorCache

`backupPartitions, dhtSize, dynamicDeploymentId, estimateMemorySize, indexesSize, memorySize, metrics, mode, name, name, nearSize, offHeapAllocatedSize, offHeapEntriesCount, partitionMap, partitions, primaryPartitions, primarySize, size, swapKeys, swapSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheV4

    public VisorCacheV4()

### Method Detail

#### from

    public VisorCache from(IgniteEx ignite,
                  String cacheName,
                  int sample)
                    throws IgniteCheckedException

Overrides:
  `from` in class `VisorCacheV2`
Parameters:
  `ignite` - Grid.
  `cacheName` - Cache name.
  `sample` - Sample size.
Returns:
  Data transfer object for given cache.
Throws:
  `IgniteCheckedException` - If failed to create data transfer object.

#### initHistory

    protected VisorCache initHistory(VisorCache c)

Fill values that should be stored in history;

Overrides:
  `initHistory` in class `VisorCacheV2`
Parameters:
  `c` - Source cache.
Returns:
  Cache.

#### history

    public VisorCache history()

Overrides:
  `history` in class `VisorCacheV2`
Returns:
  New instance suitable to store in history.

#### offHeapPrimaryEntriesCount

    public int offHeapPrimaryEntriesCount()

Returns:
  Off-heap heap primary entries count.

#### offHeapBackupEntriesCount

    public int offHeapBackupEntriesCount()

Returns:
  Off-heap heap backup entries count.

#### swapPrimaryEntriesCount

    public int swapPrimaryEntriesCount()

Returns:
  Swap primary entries count.

#### swapBackupEntriesCount

    public int swapBackupEntriesCount()

Returns:
  Swap backup entries count.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorCache`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016